import { Module } from "./client.js";

//=========================================================
export class MenuModule extends Module {
//=========================================================


    //-----------------------------------------------------
    update() {
    //-----------------------------------------------------
       var data=this.onRequest();
       console.log("send",data);
       this.client.ask_text(data,this.onDo.bind(this));
    }
    //-----------------------------------------------------
    onRequest() {
    //-----------------------------------------------------

        var data = {};
        return data;
    }
    //-----------------------------------------------------
    onDo(data) {
    //-----------------------------------------------------
       console.log("result",data);
    }
    //-----------------------------------------------------
}
//=========================================================
